<?xml version="1.0" encoding="utf-8"?>
<codecs>
  <audio>
    <encoder name="LAME MP3">
      <keybase>audioenc.lame</keybase>
      <input type="pcm"/>
      <extname>mp3</extname>
      <path key=".path"/>
      <ifnot test=".preset" value="Custom">
        <arg key=".preset" prefix="--preset">|medium|standard|extreme|phone|voice|tape|hifi|cd|studio|insane</arg>
      </ifnot>
      <if test=".preset" value="Custom">
        <if test=".mode" value="VBR">
          <arg>--vbr-new</arg>
          <arg key=".quality">-V </arg>
          <arg key=".minBitrate" default="32" prefix="-b"/>
          <arg key=".maxBitrate" default="320" prefix="-B"/>
        </if>
        <if test=".mode" value="ABR">
          <arg key=".bitrate" prefix="--abr"/>
        </if>
        <if test=".mode" value="CBR">
          <arg key=".bitrate" prefix="--cbr -b"/>
        </if>
        <ifnot channels="1">
          <arg key=".stereo">|-m s|-m j|-m d|-a -m m</arg>
        </ifnot>
      </if>
      <arg key=".aq" prefix="-q"/>
      <arg key=".freefmt">--freeformat</arg>
      <arg key=".copyright">-c</arg>
      <arg key=".nonOriginal">-o</arg>
      <arg key=".protect">-p</arg>
      <arg key=".nores">--nores</arg>
      <arg key=".iso">--strictly-enforce-ISO</arg>
      <arg key=".replayGain">--noreplaygain|--replaygain-fast|--replaygain-accurate</arg>
      <arg key=".id3">--add-id3v2|--id3v1-only|--id3v2-only</arg>
      <arg key=".lowpass">--lowpass</arg>
      <arg key=".hipass">--hipass</arg>
      <arg key=".allfreq">--resample $(SampleRate)</arg>
      <arg key=".lowbps">-F|</arg>
      <arg key=".lametag">-t|-T|</arg>
      <arg key=".options"/>
      <if tagging="true">
        <arg>--ignore-tag-errors --tt "$(Title)" --ta "$(Artist)" --tl "$(Album)" --ty "$(Year)" --tn "$(Track)" --tg "$(Genre)" --tc "$(Comment)"</arg>
      </if>
      <if stdin="true">
        <if channels="1">
          <arg>-m m</arg>
        </if>
        <arg>-r -s $(SampleRate) --quiet -</arg>
      </if>
      <if stdin="false">
        <arg>"$(SourceFile)"</arg>
      </if>
      <arg>"$(DestFile)"</arg>
    </encoder>
    <encoder name="Vorbis">
      <keybase>audioenc.vorbis</keybase>
      <input type="pcm"/>
      <extname>ogg</extname>
      <verinfo begin="ERROR:" end="*"/>
      <path key=".path"/>
      <if stdin="true"> 
        <arg>-r -C $(Channels) -R $(SampleRate) -</arg>
      </if>
      <if stdin="false">
        <arg>"$(SourceFile)"</arg>
      </if>
      <arg>-o "$(DestFile)" --quiet</arg>
      <arg key=".resample">--resample</arg>
      <arg key=".downmix">--downmix</arg>
      <arg key=".minBitrate" prefix="-m"/>
      <arg key=".maxBitrate" prefix="-M"/>
      <if test=".mode" value="Quality">
        <arg key=".quality" ratio="0.01" prefix="-q"/>
      </if>
      <if test=".mode" value="Bitrate">
        <arg key=".bitrate" prefix="-b"/>
      </if>
      <arg key=".options"/>
      <if tagging="true">
        <arg>-t "$(Title)" -a "$(Artist)" -l "$(Album)" -N "$(Track)" -d "$(Year)" -G "$(Genre)"</arg> 
      </if>
    </encoder>
    <encoder name="3GPP AAC+">
      <keybase>audioenc.aac3gpp</keybase>
      <input type="pcm"/>
      <path key=".path"/>
      <target>
        <bitrate key=".bitrate"/>
        <samplerate>
          <lowest>32000</lowest>
        </samplerate>
      </target>
      <if test=".container" value="AAC">
        <extname>aac</extname>
      </if>
      <if test=".container" value="MP4">
        <extname>m4a</extname>
      </if>
      <arg>- "$(DestFile)"</arg>
      <arg key=".bitrate" ratio="1000"/>
      <arg>$(SampleRate)</arg>
      <if channels="2">
        <arg key=".ps">2|2p</arg>
      </if>
      <ifnot channels="2">
        <arg>$(Channels)</arg>
      </ifnot>
    </encoder>
    <encoder name="FAAC">
      <keybase>audioenc.faac</keybase>
      <input type="pcm"/>
      <path key=".path"/>
      <if test=".container" value="AAC">
        <extname>aac</extname>
      </if>
      <if test=".container" value="MP4">
        <extname>m4a</extname>
      </if>
      <arg key=".version">--mpeg-vers 2|--mpeg-vers 4</arg>
      <arg key=".object" prefix="--obj-type">Main|LC|SSR|LTP</arg>
      <arg key=".tns">--tns</arg>
      <arg key=".noMidSide">--no-midside</arg>
      <arg key=".blockType" prefix="--shortctl"/>
      <if test=".mode" value="Quality">
        <arg key=".quality" prefix="-q"/>
      </if>
      <if test=".mode" value="Bitrate">
        <arg key=".bitrate" prefix="-b"/>
      </if>
      <if test=".container" value="MP4">
        <arg>-w</arg>
        <if tagging="true">
          <arg>--title "$(Title)" --artist "$(Artist)" --album "$(Album)" --track "$(Track)" --year "$(Year)" --genre "$(Genre)" --comment "$(Comment)"</arg>
        </if>
      </if>
      <arg key=".options"/>
      <if stdin="true">
        <arg>-P -X -R $(SampleRate) -B $(SampleBits) -C $(Channels) -o "$(DestFile)" -</arg>
      </if>
      <if stdin="false">
        <arg>-o "$(DestFile)" "$(SourceFile)"</arg>
      </if>
    </encoder>
    <encoder name="Nero Encoder">
      <keybase>audioenc.nero</keybase>
      <path key=".path"/>
      <extname>m4a</extname>
      <verinfo begin="ERROR:" end="*"/>
      <arg key=".hint">-hinttrack</arg>
      <arg key=".format">|-lc|-he|-hev2</arg>
      <if test=".mode" value="Target Quality">
        <arg key=".quality" ratio="0.01" prefix="-q"/>
      </if>
      <if test=".mode" value="Target Bitrate">
        <arg key=".bitrate" ratio="1000" prefix="-br"/>
      </if>
      <if test=".mode" value="CBR">
        <arg key=".bitrate" ratio="1000" prefix="-cbr"/>
      </if>
      <arg key=".options"/>
      <if stdin="true">
        <arg>-ignorelength -if - -of "$(DestFile)"</arg>
      </if>
      <if stdin="false">
        <arg>-if "$(SourceFile)" -of "$(DestFile)"</arg>
      </if>
    </encoder>
    <encoder name="Windows Media Audio">
      <keybase>videoenc.wm</keybase>
      <extname>wma</extname>
      <input type="pcm" tag="true"/>
      <path key=".path"/>
      <arg>-m 2</arg>
      <arg key=".audioMode">-amode </arg>
      <arg key=".peakBitrate">-peakrate </arg>
      <arg key=".audioBuffer">-abuffer </arg>
      <arg key=".audioCodec">-acodec </arg>
      <arg key=".audioFormat">-aformat </arg>
      <if tagging="true">
        <arg>-title "$(Title)" -author "$(Artist)" -comment "$(Comment)"</arg>
      </if>
      <if stdin="true">
        <arg>-srate $(SampleRate) -channels $(Channels) -ai -</arg>
      </if>
      <if stdin="false">
        <arg>-ai "$(SourceFile)"</arg>
      </if>
      <arg>-o "$(DestFile)"</arg>
    </encoder>
    <encoder name="Helix MP3">
      <keybase>audioenc.helixmp3</keybase>
      <path key=".path"/>
      <extname>mp3</extname>
      <if stdin="true">
        <arg>-</arg>
      </if>
      <if stdin="false">
        <arg>"$(SourceFile)"</arg>
      </if>
      <arg>"$(DestFile)" -D</arg>
      <arg key=".stereo">-M</arg>
      <arg key=".filtering">-S0|-S1"</arg>
      <arg key=".highFreq">-HF</arg>
      <arg key=".sse">-u2</arg>
      <arg key=".options"/>
      <if test=".mode" value="VBR">
        <arg key=".quality">-V</arg>
      </if>
      <if test=".mode" value="CBR">
        <if test=".bitrate" value="0">
          <arg>-B-1</arg>
        </if>
        <ifnot test=".bitrate" value="0">
          <arg key=".bitrate">-B</arg>
        </ifnot>
      </if>
    </encoder>
    <encoder name="Fraunhofer IIS MP3">
      <keybase>audioenc.fraunhofer</keybase>
      <path key=".path"/>
      <input type="pcm"/>
      <verinfo begin="*" end="Error"/>
      <extname>mp3</extname>
      <if stdin="true">
        <arg>-if -</arg>
      </if>
      <if stdin="false">
        <arg>-if </arg>
      </if>
      <arg>-of "$(DestFile)" -raw -sr $(SampleRate) -c $(Channels) -res $(SampleBits)</arg>
      <arg key=".mode">-m </arg>
      <arg key=".downmix">-mono</arg>
      <arg key=".quality">-q </arg>
      <if test=".mode" value="CBR">
        <arg key=".bitrate" postfix="000">-br </arg>
      </if>
      <ifnot test=".mode" value="CBR">
        <arg>-br 0</arg>
        <arg key=".vbri">-vbri</arg>
      </ifnot>
      <arg key=".options"/>
    </encoder>
    <encoder name="MusePack">
      <keybase>audioenc.musepack</keybase>
      <verinfo end="Usage"/>
      <extname>mpc</extname>
      <path key=".path"/>
      <arg key=".profile">--telephone|--thumb|--radio|--standard|--xtreme|--insane|--braindead</arg>
      <if tagging="true">
        <arg>--title "$(Title)" --artist "$(Artist)" --album "$(Album)" --year "$(Year)" --track "$(Track)" --genre "$(Genre)"</arg>
      </if>
      <if stdin="true">
        <arg>--silent -</arg>
      </if>
      <if stdin="false">
        <arg>"$(SourceFile)"</arg>
      </if>
      <arg>"$(DestFile)"</arg>
    </encoder>
    <encoder name="FFmpeg">
      <keybase>audioenc.ffmpeg</keybase>
      <verinfo arg="-version"/>
      <input type="pcm"/>
      <target>
        <bitrate key=".bitrate"/>
      </target>
      <path key=".path"/>
      <if stdin="true">
        <arg>-f s16le -ac $(Channels) -ar $(SampleRate) -i -</arg>
      </if>
      <if stdin="false">
        <arg>-i "$(SourceFile)"</arg>
      </if>
      <if test=".codec" value="MP2">
        <extname>mpa</extname>
        <arg>-f mp2 -acodec mp2</arg>
      </if>
      <if test=".codec" value="MP3">
        <extname>mp3</extname>
        <arg>-f mp3 -acodec libmp3lame</arg>
      </if>
      <if test=".codec" value="AC3">
        <extname>ac3</extname>
        <arg>-f ac3 -acodec ac3</arg>
      </if>
      <if test=".codec" value="AAC">
        <extname>aac</extname>
        <arg>-f aac -acodec libfaac</arg>
      </if>
      <if test=".codec" value="IMA Adaptive PCM">
        <extname>wav</extname>
        <arg>-f wav -acodec adpcm_ima_wav</arg>
      </if>
      <if test=".codec" value="WMA V1">
        <extname>asf</extname>
        <arg>-f asf -acodec wmav1</arg>
      </if>
      <if test=".codec" value="WMA V2">
        <extname>asf</extname>
        <arg>-f asf -acodec wmav2</arg>
      </if>
      <if test=".codec" value="AMR">
        <extname>amr</extname>
        <arg>-acodec amr</arg>
      </if>
      <if tagging="true">
        <arg>-title "$(Title)" -author "$(Artist)" -comment "$(Comment)"</arg>
      </if>
      <arg key=".bitrate" ratio="1000" prefix="-ab"/>
      <arg>"$(DestFile)"</arg>
    </encoder>
    <encoder name="MEncoder">
      <keybase>audioenc.mencoder</keybase>
      <input type="pcm"/>
      <path key=".path"/>
      <if stdin="true">
      </if>
      <if stdin="false">
        <var name="SourceFile"/>
      </if>
      <arg>-of rawaudio -ovc frameno</arg>
      <if test="audioenc.mencoder.codec" value="LAME MP3">
        <keybase>audioenc.lame</keybase>
        <extname>mp3</extname>
        <arg>-oac mp3lame -lameopts</arg>
        <arg key=".aq">aq=</arg>
        <ifnot test=".preset" value="Custom">
          <arg key=".preset" prefix=":preset=">|medium|standard|extreme|phone|voice|tape|hifi|cd|studio|insane</arg>
        </ifnot>
        <if test=".preset" value="Custom">
          <if test=".mode" value="VBR">
            <arg>:vbr=2</arg>
            <arg key=".quality">:q=</arg>
          </if>
          <if test=".mode" value="ABR">
            <arg key=".bitrate">:abr:br=</arg>
          </if>
          <if test=".mode" value="CBR">
            <arg key=".bitrate">:cbr:br=</arg>
          </if>
        </if>
      </if>
      <if test="audioenc.mencoder.codec" value="FAAC">
        <keybase>audioenc.faac</keybase>
        <extname>aac</extname>
        <arg>-oac faac -faacopts</arg>
        <arg key=".version">mpeg=2|mpeg=4</arg>
        <arg key=".object" prefix=":object=">1|2|3|4</arg>
        <arg key=".tns">:tns</arg>
        <if test=".mode" value="Quality">
          <arg key=".quality" prefix=":quality="/>
        </if>
        <if test=".mode" value="Bitrate">
          <arg key=".bitrate" prefix=":br="/>
        </if>
      </if>
      <ifnot test="audiofilter.resample.samplerate" value="0">
        <arg key="audiofilter.resample.samplerate">-af resample=</arg>
      </ifnot>
      <var name="DestFile" prefix="-o"/>
    </encoder>
    <encoder name="Speex">
      <keybase>audioenc.speex</keybase>
      <verinfo arg="-v"/>
      <input type="pcm"/>
      <extname>spx</extname>
      <path key=".path"/>
      <if stdin="true">
        <arg>--le --rate $(SampleRate) --$(SampleBits)bit -</arg>
      </if>
      <if stdin="false">
        <arg>"$(SourceFile)"</arg>
      </if>
      <arg>"$(DestFile)"</arg>
      <if channels="2">
        <arg>--stereo</arg>
      </if>
      <if test=".bandwidth" value="Auto">
        <if samplerate="~8000">
          <arg>-n</arg>
        </if>
        <if samplerate="8000~16000">
          <arg>-w</arg>
        </if>
        <if samplerate="16000~">
          <arg>-u</arg>
        </if>
      </if>
      <ifnot test=".bandwidth" value="Auto">
        <arg key=".bandwidth">|-n|-w|-u</arg>
      </ifnot>
      <if test=".mode" value="VBR">
        <arg>--vbr</arg>
        <arg key=".maxrate">--vbr-max-bitrate </arg>
      </if>
      <if test=".mode" value="ABR">
        <arg key=".bitrate" prefix="--abr"/>
      </if>
      <if test=".mode" value="CBR">
        <arg key=".vad">--vad</arg>
        <arg key=".bitrate" prefix="--bitrate"/>
      </if>
      <arg key=".quality" prefix="--quality"/>
      <arg key=".dtx">--dtx</arg>
      <arg key=".aq" prefix="--comp"/>
      <arg key=".nframes" prefix="--nframes"/>
      <arg key=".denoise">--denoise</arg>
      <arg key=".agc">--agc</arg>
        <arg key=".options"/>
      <if tagging="true">
        <arg>--title "$(Title)" --author "$(Artist)" --comment Album="$(Album)"</arg>
      </if>
    </encoder>
    <encoder name="AMR">
      <keybase>audioenc.amr</keybase>
      <input type="pcm" tag="true"/>
      <extname>amr</extname>
      <target>
        <samplerate>
          <lowest>8000</lowest>
          <highest>16000</highest>
        </samplerate>
      </target>
      <if test=".codec" value="AMR-NB">
        <path key=".pathnb"/>
        <arg key=".modenb">MR475|MR515|MR59|MR67|MR74|MR795|MR102|MR122</arg>
      </if>
      <if test=".codec" value="AMR-WB">
        <path key=".pathwb"/>
        <arg key=".modewb"/>
      </if>
      <arg key=".dtx">-dtx</arg>
      <arg key=".options"/>
      <arg>- "$(DestFile)"</arg>
    </encoder>
    <encoder name="Stream Dumper">
      <path key="overall.mplayer.path"/>
      <input type="file"/>
      <extname>dump</extname>
      <arg>"$(SourceFile)" -quiet -vo null -vc null -dumpaudio -dumpfile "$(DestFile)"</arg>
      <if tagging="true"/>
    </encoder>
    <encoder name="ALS">
      <keybase>audioenc.als</keybase>
      <path key=".path"/>
      <verinfo arg="-h"/>
      <extname>als</extname>
      <arg key=".adaptive">-a</arg>
      <arg key=".dualStereo">-i</arg>
      <arg key=".ltp">-p</arg>
      <arg key=".predict">-o </arg>
      <arg key=".rlsmls">-z </arg>
      <arg key=".options"/>
      <arg>-v -R -F$(SampleRate) -W$(SampleBits) -C$(Channels) - "$(DestFile)"</arg>
    </encoder>
    <encoder name="FLAC">
      <keybase>audioenc.flac</keybase>
      <path key=".path"/>
      <verinfo begin="flac -" end="This program"/>
      <extname>flac</extname>
      <input type="pcm" tag="true"/>
      <arg>-o -s -f --force-raw-format --endian=little --channels=$(Channels) --bps=$(SampleBits) --sample-rate=$(SampleRate) --sign=signed</arg>
      <arg key=".exhaustive">-e</arg>
      <arg key=".maxlpc">-l</arg>
      <arg key=".level">--compression-level-</arg>
      <if tagging="true">
        <arg>--tag=TITLE="$(Title)" --tag=ARTIST="$(Artist)" --tag=ALBUM="$(Album)" --tag=DATE="$(Year)" --tag=TRACKNUMBER=$(Track)  --tag=GENRE="$(Genre)" --tag=COMMENT="$(Comment)"</arg>
      </if>
      <arg>- -o "$(DestFile)"</arg>
    </encoder>
    <encoder name="WavPack">
      <keybase>audioenc.wavpack</keybase>
      <verinfo end="Usage"/>
      <path key=".path"/>
      <extname>wv</extname>
      <arg key=".best">-h</arg>
      <arg key=".extra">-x</arg>
      <if test=".hybrid" value="true">
        <arg key=".bitrate">-b</arg>
        <arg key=".correction">-c</arg>
      </if>
      <arg key=".options"/>
      <if tagging="true">
        <arg>-w "Title=$(Title)" -w "Artist=$(Artist)" -w "Album=$(Album)" -w "Year=$(Year)" -w "Track=$(Track)" -w "Genre=$(Genre)" -w "Comment=$(Comment)"</arg>
      </if>
      <arg>-i - -o "$(DestFile)"</arg>
    </encoder>
    <encoder name="TTA">
      <keybase>audioenc.tta</keybase>
      <input type="file"/>
      <path key=".path"/>
      <verinfo arg="-v"/>
      <extname>tta</extname>
      <arg key=".wave">-x</arg>
      <arg key=".options"/>
      <arg>-e "$(SourceFile)" -o "$(DestFile)"</arg>
    </encoder>
    <encoder name="OptimFROG">
      <keybase>audioenc.ofr</keybase>
      <input type="file"/>
      <path key=".path"/>
      <extname>ofr</extname>
      <arg key=".mode" prefix="--mode">fast|normal|highnew|extranew|bestnew</arg>
      <arg key=".options"/>
      <arg>"$(SourceFile)" --output "$(DestFile)"</arg>
    </encoder>
    <encoder name="lossyWAV">
      <keybase>audioenc.lossywav</keybase>
      <path key=".path"/>
      <verinfo arg="-v"/>
      <extname>wav</extname>
      <arg>- -o "$(DestDir)" -f</arg>
      <arg key=".quality">--insane|--extreme|--standard|--portable</arg>
      <arg key=".correction">-C</arg>
      <arg key=".dither">-D </arg>
      <arg key=".limit">-l </arg>
      <arg key=".scale">--scale </arg>
      <arg key=".shaping">-s </arg>
      <arg key=".options"/>
    </encoder>
  </audio>
  <video>
    <encoder name="MEncoder">
      <keybase>videoenc.mencoder</keybase>
      <path key=".path"/>
      <keybase>videofilter.frame</keybase>
      <if test=".enabled" value="true">
        <arg key=".fps">-ofps</arg>
        <arg key=".fpsScale">/</arg>
      </if>
       <ifnot test=".enabled" value="true">
        <var name="FrameRate" prefix="-ofps"/>
      </ifnot>
      <keybase>overall.subtitle</keybase>
      <arg>-subcp cp936</arg>
      <arg key=".fuzziness" prefix="-sub-fuzziness">0|1|2</arg>
      <arg key=".slang">-slang</arg>
      <arg key=".scale">-subfont-autoscale</arg>
      <arg key=".blur">-subfont-blur</arg>
      <arg key=".outline">-subfont-outline</arg>
      <arg key=".font">-subfont</arg>
      <var name="SubtitleFile" prefix="-sub"/>
      <keybase>overall.video</keybase>
      <ifnot test=".darw" value="0">
        <arg key=".darw">-aspect</arg>
        <arg key=".darh">:</arg>
      </ifnot>
      <arg>-vf</arg>
      <keybase>videofilter.crop</keybase>
      <if test=".mode" value="Manual">
        <arg key=".width">crop=</arg>
        <arg key=".height">:</arg>
        <arg key=".left">:</arg>
        <arg key=".top" postfix=",">:</arg>
      </if>
      <if test=".mode" value="Crop to fit">
        <var name="CropParams" prefix="crop=" postfix=","/>
      </if>
      <if test=".mode" value="Expand to fit">
        <var name="CropParams" prefix="expand="/>
        <if test="videofilter.expand.osd" value="true">
          <arg>:1</arg>          
        </if>
        <arg>,</arg>
      </if>
      <keybase>videofilter.scale</keybase>
      <if test=".enabled" value="true">
        <arg key=".width">scale=</arg>
        <arg key=".height">:</arg>
        <if test="interlaced" value="true">
          <arg>:1</arg>
        </if>
        <ifnot test="interlaced" value="true">
          <arg>:0</arg>
        </ifnot>
        <arg key="chroma" prefix=":">0|1|2|3</arg>
        <if test="algorithm" value="Bicubic">
          <arg>:0.00:0.50</arg>
        </if>
        <arg>,</arg>
      </if>
      <keybase>videofilter.rotate</keybase>
      <if test=".enabled">
        <arg key=".mode" prefix="rotate=">0|1|2|3</arg>
        <arg>,</arg>
      </if>
      <arg>harddup</arg>
      <keybase>overall.container</keybase>
      <ifnot test="overall.container.external" value="Disabled">
        <arg>-of rawvideo</arg>
      </ifnot>
      <if test="overall.container.external" value="Disabled">
        <if test=".format" value="Default">
        </if>
        <if test=".format" value="AVI">
        </if>
        <if test=".format" value="MP4">
          <arg>-of lavf -lavfopts format=mp4</arg>
        </if>
        <if test=".format" value="Matroska">
          <arg>-of lavf -lavfopts format=mkv</arg>
        </if>
        <if test=".format" value="MPEG1">
          <arg>-of lavf -lavfopts format=mpg</arg>
        </if>
        <if test=".format" value="MPEG2">
          <arg>-of lavf -lavfopts format=mpg</arg>
        </if>
        <if test=".format" value="MPEG2 TS">
          <arg>-of lavf -lavfopts format=mpg</arg>
        </if>
        <if test=".format" value="Flash Video">
          <arg>-of lavf -lavfopts format=flv</arg>
        </if>
        <if test=".format" value="ASF">
          <arg>-of lavf -lavfopts format=asf</arg>
        </if>
        <if test=".format" value="3GP">
        </if>
        <if test=".format" value="3GP2">
        </if>
        <if test=".format" value="MOV">
          <arg>-of lavf -lavfopts format=mov</arg>
        </if>
        <if test=".format" value="MJPEG">
        </if>
        <if test=".format" value="RealMedia">
          <arg>-of lavf -lavfopts format=rm</arg>
        </if>
        <if test=".format" value="DV Format">
          <arg>-of lavf -lavfopts format=dv</arg>
        </if>
        <if test=".format" value="OGG">
        </if>
        <if test=".format" value="NUT">
          <arg>-of lavf -lavfopts format=nut</arg>
        </if>
        <if test=".format" value="PMP">
          <arg>-of lavf -lavfopts format=map4</arg>
        </if>
        <if test=".format" value="Raw Stream">
          <arg>-of lavf -lavfopts format=rawvideo</arg>
        </if>
      </if>
      <arg key="videofilter.scale.algorithm" prefix="-sws">0|1|2|3|4|5|6|7|8|9|10</arg>
      <var name="SourceFile"/>
      <keybase>overall.video</keybase>
      <arg>-ovc</arg>
      <if test=".format" value="XviD">
        <keybase>videoenc.xvid</keybase>
        <arg>xvid</arg>
        <arg>-xvidencopts</arg>
        <if test=".threads" value="0">
          <var name="CpuCores" prefix="threads="></var>
        </if>
        <ifnot test=".threads" value="0">
          <arg key=".threads" prefix="threads="/>
        </ifnot>
        <arg>:noautoaspect</arg>
        <ifnot test="overall.video.par" value="Default">
          <ifnot test="overall.video.par" value="Custom">
            <arg key="overall.video.par" prefix=":par=">0|0|vga11|pal43|ntsc43|pal169|ntsc169</arg>
          </ifnot>
          <if test="overall.video.par" value="Custom">
            <arg key="overall.video.parw" prefix=":par=ext:par_width="></arg>
            <arg key="overall.video.parh" prefix=":par_height="></arg>
          </if>
        </ifnot>
        <if test=".trellis" value="true">
          <arg>:trellis</arg>
        </if>
        <if test=".chroma_me" value="true">
          <arg>:chroma_me</arg>
        </if>
        <if test=".chroma_opt" value="true">
          <arg>:chroma_opt</arg>
        </if>
        <if test=".hqac" value="true">
          <arg>:hq_ac</arg>
        </if>
        <arg key=".quantType" prefix=":quant_type=">h263|mpeg</arg>
        <arg key=".b_ratio">:bquant_ratio=</arg>
        <arg key=".b_offset">:bquant_offset=</arg>
        <arg key=".profile" prefix=":profile=">unrestricted|sp0|sp1|sp2|sp3|asp0|asp1|asp2|asp3|asp4|asp5|dxnhandheld|dxnportntsc|dxnportpal|dxnhtntsc|dxnhtpal|dxnhdtv</arg>
        <if test=".bvhq" value="true">
          <arg>:bvhq=1</arg>
        </if>
        <ifnot test=".bvhq" value="true">
          <arg>:bvhq=0</arg>
        </ifnot>     
        <arg key=".meQuality">:me_quality=</arg>
        <arg key=".vhq" prefix=":vhq=">0|1|2|3|4</arg>
        <arg key=".bframes">:max_bframes=</arg>
        <arg key="overall.video.bitrate">:bitrate=</arg>
      </if>
      <if test=".format" value="H.264">
        <keybase>videoenc.x264</keybase>
        <arg>x264</arg>
        <arg>-x264encopts</arg>
        <arg key="overall.video.bitrate">bitrate=</arg>        
        <if test="overall.video.par" value="Custom">
          <arg key="overall.video.parw" prefix=":sar="></arg>
          <arg key="overall.video.parh" prefix="/"></arg>
        </if>        
        <arg key=".qcomp">:qcomp=</arg>
        <arg key=".qpmin">:qp_min=</arg>
        <arg key=".qpmax">:qp_max=</arg>
        <arg key=".qpstep">:qp_step=</arg>
        <arg key=".level">:level_idc=</arg>
        <if test=".dct_decimate" value="true">
          <arg>:dct_decimate</arg>
        </if>
        <arg key=".me" prefix=":me=">dia|hex|umh|esa</arg>
        <arg key=".me_range">:me_range=</arg>
        <arg key=".keyint">:keyint=</arg>
        <arg key=".keyint_min">:keyint_min=</arg>
        <if test=".fast_pskip" value="true">
          <arg>:fast_pskip</arg>
        </if>
        <if test=".cabac" value="true">
          <arg>:cabac</arg>
        </if>
        <arg key=".direct_pred" prefix=":direct_pred=">none|spatial|temporal|auto</arg>
        <ifnot test=".mixed_refs" value="true">
          <arg>:nomixed_refs</arg>
        </ifnot>
        <arg key=".trellis" prefix=":trellis=">0|1|2</arg>
        <ifnot test=".b_pyramid" value="true">
          <arg>:nob_pyramid</arg>
        </ifnot>
        <arg key=".b_adapt" prefix=":b_adapt=">0|1|2</arg>
        <ifnot test=".p8x8dct" value="true">
          <arg>:no8x8dct</arg>
        </ifnot>
        <ifnot test=".weight_b" value="true">
          <arg>:noweight_b</arg>
        </ifnot>
        <arg key=".bframes">:bframes=</arg>
        <if test=".threads" value="0">
          <var name="CpuCores" prefix=":threads="></var>
        </if>
        <ifnot test=".threads" value="0">
          <arg key=".threads" prefix=":threads="/>
        </ifnot>
        <arg key=".frameref">:frameref=</arg>
        <arg key=".subq">:subq=</arg>
      </if>
      <if test=".format" value="MPEG1">
        <keybase>videoenc.ffmpeg</keybase>
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg>vcodec=mpeg1video</arg>
        <arg key="overall.video.bitrate">:vbitrate=</arg>
        <arg key=".me" prefix=":vme=">0|3|2|5|4|4|4|4</arg>
        <arg key=".mbd">:mbd=</arg>
        <arg key=".subq">:subq=</arg>
        <if test=".trellis" value="true">
          <arg>:trell</arg>
        </if>
        <arg key=".keyint">:keyint=</arg>
        <arg key=".qns" prefix=":qns=">0|1|2|3</arg>
      </if>
      <if test=".format" value="MPEG2">
        <keybase>videoenc.ffmpeg</keybase>
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg>vcodec=mpeg2video</arg>
        <arg key="overall.video.bitrate">:vbitrate=</arg>
        <arg key=".me" prefix=":vme=">0|3|2|5|4|4|4|4</arg>
        <arg key=".mbd">:mbd=</arg>
        <arg key=".subq">:subq=</arg>
        <if test=".trellis" value="true">
          <arg>:trell</arg>
        </if>
        <arg key=".keyint">:keyint=</arg>
        <arg key=".qns" prefix=":qns=">0|1|2|3</arg>
      </if>
      <if test=".format" value="MPEG4">
        <keybase>videoenc.ffmpeg</keybase>
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg>vcodec=mpeg4video</arg>
        <arg key="overall.video.bitrate">:vbitrate=</arg>
        <arg key=".me" prefix=":vme=">0|3|2|5|4|4|4|4</arg>
        <arg key=".mbd">:mbd=</arg>
        <arg key=".subq">:subq=</arg>
        <if test=".trellis" value="true">
          <arg>:trell</arg>
        </if>
        <arg key=".keyint">:keyint=</arg>
        <arg key=".qns" prefix=":qns=">0|1|2|3</arg>
      </if>
      <if test=".format" value="Theora">
        <arg>null</arg>
      </if>
      <if test=".format" value="Dirac Video">
        <arg>null</arg>
      </if>
      <if test=".format" value="Windows Media Video" >
        <arg>null</arg>
      </if>
      <if test=".format" value="RealVideo">
        <arg>null</arg>
      </if>
      <if test=".format" value="AMV">
        <arg>null</arg>
      </if>
      <if test=".format" value="Raw Video">
        <arg>raw</arg>
      </if>
      <if test=".format" value="Flash Video">
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg prefix="vcodec=">flv</arg>
      </if>
      <if test=".format" value="H.263">
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg prefix="vcodec=">h263</arg>
      </if>
      <if test=".format" value="H.263+">
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg prefix="vcodec=">h263p</arg>
      </if>
      <if test=".format" value="H.261">
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg prefix="vcodec=">h261</arg>
      </if>
      <if test=".format" value="MS-MPEG4-V2">
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg prefix="vcodec=">msmpeg4v2</arg>
      </if>
      <if test=".format" value="DV Video">
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg prefix="vcodec=">dvvideo</arg>
      </if>
      <if test=".format" value="Lossless JPEG">
        <keybase>videoenc.ffmpeg</keybase>
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg prefix="vcodec=">ljpeg</arg>
        <arg key=".format">:format=</arg>
        <arg key=".pred">:pred=</arg>
      </if>
      <if test=".format" value="Huffyuv">
        <keybase>videoenc.ffmpeg</keybase>
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg prefix="vcodec=">huffyuv</arg>
        <arg key=".format">:format=</arg>
        <arg key=".pred">:pred=</arg>
      </if>
      <if test=".format" value="Snow">
        <arg>lavc</arg>
        <arg>-lavcopts</arg>
        <arg prefix="vcodec=">snow</arg>
      </if>
      <ifnot test="overall.container.external" value="Disabled">
        <arg>-nosound</arg>
      </ifnot>
      <if test="overall.container.external" value="Disabled">
        <keybase>overall.audio</keybase>
        <arg>-oac</arg>
        <if test=".encoder" value="LAME MP3">
          <keybase>audioenc.lame</keybase>
          <arg>mp3lame</arg>
          <arg key=".mode" prefix="-lameopts">vbr=2|abr|cbr</arg>
          <ifnot test=".mode" value="VBR">
            <arg key=".bitrate">:br=</arg>
          </ifnot>
          <if test=".mode" value="VBR">
            <arg key=".quality">:q=</arg>
          </if>
          <arg key=".stereo" prefix=":mode=">0|0|1|2|3</arg>
        </if>
        <if test=".encoder" value="FAAC">
          <keybase>audioenc.faac</keybase>
          <arg>faac</arg>
          <arg>-faacopts</arg>
          <if test=".mode" value="Bitrate">
            <arg key=".bitrate">br=</arg>
          </if>
          <ifnot test=".mode" value="Bitrate">
            <arg key=".quality">quality=</arg>
          </ifnot>
          <arg key=".object" prefix=":object=">1|2|3|4</arg>
          <if test=".tns" value="true">
            <arg>:tns</arg>
          </if>
        </if>
        <if test=".encoder" value="FFmpeg">
          <keybase>audioenc.ffmpeg</keybase>
          <arg>lavc</arg>
          <arg key=".codec" prefix="-lavcopts">mp2|mp3|ac3|libfaac|adpcm_ima_wav|wmav1|wmav2</arg>
          <arg key=".bitrate">:abitrate=</arg>
        </if>
        <if test=".encoder" value="Waveform">
          <keybase>audioenc.pcm</keybase>
          <arg>pcm</arg>
        </if>
        <ifnot test="audiofilter.resample.samplerate" value="0">
          <arg key="audiofilter.resample.samplerate">-af resample=</arg>
        </ifnot>
      </if>
      <var name="DestFile" prefix="-o"/>
    </encoder>
    <encoder name="FFmpeg">
      <keybase>videoenc.ffmpeg</keybase>
      <path key=".path"/>
      <arg>-y</arg>
      <var name="SourceFile" prefix="-i"></var>
      <arg key="overall.container.format" prefix="-f">null|avi|mp4|matroska|vcd|vob|mpegts|flv|asf|3gp|3g2|mov|mjpg|rm|dv|ogg|nut|null|rawvideo</arg>
      <arg key="overall.video.format" prefix="-vcodec">libxvid|libx264|mpeg1video|mpeg2video|mpeg4|libtheora|flv|libdirac|wmv2|rv20|h263|h263p|h261|msmpeg4v2|dvvideo|mjpeg|ljpeg|huffyuv|snow|null|null</arg>
      <if test="overall.video.format" value="H.264">
        <keybase>videoenc.x264</keybase>
      </if>
      <arg key=".me">-me_method</arg>
      <arg key=".me_range">-me_range</arg>
      <arg key="videoenc.ffmpeg.mbd" prefix="-mbd">0|1|2</arg>
      <arg key="videoenc.ffmpeg.qns" prefix="-qns">0|1|2|3</arg>
      <if test="overall.video.format" value="H.264">
        <arg key=".subq">-subq</arg>
        <arg key=".level">-level</arg>
      </if>
      <arg key=".bframes">-bf</arg>
      <keybase>overall.video</keybase>
      <if test=".mode" value="Bitrate-based">
        <if test=".format" value="XviD">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="H.264">
          <arg key=".quality" ratio="-0.202" offset="21">-cqb</arg>
        </if>
        <if test=".format" value="MPEG1">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="MPEG2">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="MPEG4">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="Theora">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="Flash Video">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="Dirac Video">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="Windows Media">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="RealVideo">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="H.263">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="H.263+">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="H.261">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="MS-MPEG4-V2">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="DV Video">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="Motion JPEG">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="Lossless JPEG">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="Huffyuv">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
        <if test=".format" value="Snow">
          <arg key=".quality" ratio="-0.313" offset="32">-qscale</arg>
        </if>
      </if>
      <if test=".mode" value="Quality-based">
        <var name="VideoBitrate*1K" prefix="-b"></var>
      </if>
      <ifnot test="overall.container.external" value="Disabled">
        <arg>-an</arg>
      </ifnot>
      <if test="overall.container.external" value="Disabled">
        <keybase>overall.audio</keybase>
        <if test=".encoder" value="LAME MP3">
          <arg prefix="-acodec">libmp3lame</arg>
          <arg key="audioenc.lame.bitrate" ratio="1000">-ab</arg>
        </if>
        <if test=".encoder" value="Vorbis">
          <arg prefix="-acodec">vorbis</arg>
          <if test="audioenc.vorbis.mode" value="Bitrate">
            <arg key="audioenc.vorbis.bitrate" ratio="1000">-ab</arg>
          </if>
          <ifnot test="audioenc.vorbis.mode" value="Bitrate">
            <arg key="audioenc.vorbis.bitrate" ratio="1000">-ab</arg>
          </ifnot>
        </if>
        <if test=".encoder" value="FAAC">
          <arg prefix="-acodec">libfaac</arg>
          <arg key="audioenc.faac.bitrate" ratio="1000"></arg>
        </if>
        <if test=".encoder" value="Windows Media Audio">
          <arg key="audioenc.ffmpeg.bitrate" ratio="1000">-ab</arg>
          <arg prefix="-acodec">wmav2</arg>
        </if>
        <if test=".encoder" value="FFmpeg">
          <arg key="audioenc.ffmpeg.bitrate" ratio="1000">-ab</arg>
          <arg prefix="-acodec" key="audioenc.ffmpeg.codec">mp2|libmp3lame|ac3|libfaac|wmav1|wmav2|amr|adpcm_ima_wav</arg>
        </if>
        <if test=".encoder" value="Waveform">
          <arg prefix="-acodec">pcm_s16le</arg>
        </if>
      </if>
      <var name="Title" prefix="-title"></var>
      <var name="Artist" prefix="-author"></var>
      <var name="Comment" prefix="-comment"></var>
      <keybase>videoenc.ffmpeg</keybase>
      <if test="overall.video.format" value="H.264">
        <keybase>videoenc.x264</keybase>
      </if>
      <if test="overall.video.format" value="XviD">
        <keybase>videoenc.xvid</keybase>
      </if>
      <arg key=".threads">-threads</arg>
      <var name="DestFile" prefix="-y"></var>
    </encoder>  
</video>
  <muxers>
    <muxer name="MP4Box">
      <keybase>muxer.mp4box</keybase>
      <if audioOnly="true">
        <extname>m4a</extname>
      </if>
      <if audioOnly="false">
        <extname>mp4</extname>
      </if>
      <path key=".path"/>
      <arg key=".packed">-packed</arg>
      <arg key="keepSystemInfo">-keepsys</arg>
      <arg key=".isma">-isma</arg>
      <arg key=".rewrite3gp">-3gp</arg>
      <arg key=".sampleDesc">-mpeg4</arg>
      <arg key=".nodrop">-nodrop</arg>
      <arg key=".hint">-hint</arg>
      <arg key="overall.ui.quiet">-quiet</arg>
      <arg>-tmp</arg>
      <var name="TempDir"/>
      <arg key=".options"/>
      <if test="overall.container.trackOrder" value="Video First">
        <for trackType="video">         
          <var name="FrameRate" prefix="-fps"/>
          <arg>-add</arg>
          <var name="TrackPath" postfix="#video"/>
          <ifnot test="overall.video.par" value="Default">
            <ifnot test="overall.video.par" value="Custom">
              <arg key="overall.video.par" prefix=":par=">1:1|1:1|1:1|15:16|9:8|45:64|32:27</arg>
            </ifnot>
            <if test="overall.video.par" value="Custom">
              <arg key="overall.video.parw" prefix=":par="></arg>
              <arg key="overall.video.parh" prefix=":"></arg>
            </if>
          </ifnot>
        </for>
        <for trackType="audio">
          <if isAACPlus="true">
            <arg key=".sbr">-sbrx|-sbr</arg>
          </if>
          <arg>-add</arg>
          <var name="TrackPath" postfix="#audio"/>
        </for>
      </if>
      <if test="overall.container.trackOrder" value="Audio First">
        <for trackType="audio">
          <if isAACPlus="true">
            <arg key=".sbr">-sbrx|-sbr</arg>
          </if>
          <var name="TrackPath" prefix="-add" postfix="#audio"/>
        </for> 
        <for trackType="video">       
          <var name="FrameRate" prefix="-fps"/>
          <var name="TrackPath" prefix="-add" postfix="#video"/>
          <ifnot test="overall.video.par" value="Default">
            <ifnot test="overall.video.par" value="Custom">
              <arg key="overall.video.par" prefix=":par=">1:1|1:1|1:1|15:16|9:8|45:64|32:27</arg>
            </ifnot>
            <if test="overall.video.par" value="Custom">
              <arg key="overall.video.parw" prefix=":par="></arg>
              <arg key="overall.video.parh" prefix=":"></arg>
            </if>
          </ifnot>
        </for>
      </if>
      <for trackType="other">
        <var name="TrackPath" prefix="-add "/>
      </for>
      <var name="DestFile"/>
    </muxer>
    <muxer name="MKVMerge">
      <keybase>muxer.matroska</keybase>
      <if audioOnly="true">
        <extname>mka</extname>
      </if>
      <if audioOnly="false">
        <extname>mkv</extname>
      </if>
      <path key=".path"/>
      <var name="DestFile" prefix="-o "/>
      <arg key=".options"/>
      <if key="overall.container.trackOrder" value="Video First">
        <for trackType="video">
          <var name="TrackPath" prefix="-A -S "/>
        </for>
        <for trackType="audio">
          <var name="TrackPath" prefix="-D -S "/>
        </for>
      </if>
      <if order="Video First">
        <for trackType="audio">
          <var name="TrackPath" prefix="-D -S "/>
        </for>
        <for trackType="video">
          <var name="TrackPath" prefix="-A -S "/>
        </for>
      </if>
      <for trackType="other">
        <var name="TrackPath"/>
      </for>
    </muxer>
    <muxer name="PMPMuxer">
      <extname>pmp</extname>
      <keybase>muxer.pmp</keybase>
    </muxer>
    <muxer name="MP4Creator">
      <extname>mp4</extname>
      <keybase>muxer.mp4creator</keybase>
      <path key=".path"/>
      <var name="DestFile" prefix="-o "/>
      <arg key=".compliant">|-force3GPCompliance|-make-isma-10-compliant</arg>
      <arg key=".interleave">-interleave</arg>
      <arg key=".aacProfile">|-aac-profile=2|-aac-profile=4</arg>
      <arg key=".mtu" prefix="-mtu="/>
      <arg key=".optimize">-optimize</arg>
      <arg key=".options"/>
      <if key="overall.container.trackOrder" value="Video First">
        <for trackType="video">
          <var name="TrackPath" prefix="-create "/>
          <if key=".hint">
            <var name="index" prefix="-hint="/>
          </if>
        </for>
        <for trackType="audio">
          <var name="TrackPath" prefix="-create "/>
          <if key=".hint">
            <var name="index" prefix="-hint="/>
          </if>
        </for>
      </if>
      <if order="Video First">
        <for trackType="audio">
          <var name="TrackPath" prefix="-create "/>
          <if key=".hint">
            <var name="index" prefix="-hint="/>
          </if>
        </for>
        <for trackType="video">
          <var name="TrackPath" prefix="-create "/>
          <if key=".hint">
            <var name="index" prefix="-hint="/>
          </if>
        </for>
      </if>
      <for trackType="other">
        <var name="TrackPath" prefix="-create "/>
      </for>
      <var name="DestFile"/>
    </muxer>
  </muxers>
</codecs>
